Skip to main content
GET
/
charges
List charges
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/charges \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "meta": {
    "page_info": {
      "total": 123,
      "current_page": 123,
      "total_pages": 123
    }
  },
  "data": [
    {
      "id": "chg_nONgeAGY97",
      "amount": 12.34,
      "fees": [
        {
          "type": "vat",
          "amount": 12.3
        }
      ],
      "billing_details": {
        "email": "cornelius@gmail.com",
        "name": {
          "first": "King",
          "middle": "Leo",
          "last": "LeBron"
        },
        "phone": {
          "country_code": "234",
          "number": "08012345678"
        }
      },
      "currency": "NGN",
      "customer_id": "cus_3XarBILKQS",
      "description": "<string>",
      "disputed": false,
      "settled": false,
      "settlement_id": [
        "<string>"
      ],
      "meta": {},
      "next_action": {
        "type": "redirect_url",
        "redirect_url": {
          "url": "https://developer-sandbox-ui-sit.flutterwave.cloud/redirects?opay&token=eyJhbGciOiJIUzI1NiJ9.eyJjbGllbnRJZCI6ImNiYThhMTkwLTE2OGUtNGNmZS05NmY5LTE2NDZhYjFhOWNkYiIsImNoYXJnZUlkIjoiY2hnX25PTmdlQUdZOTciLCJzdWIiOiJjYmE4YTE5MC0xNjhlLTRjZmUtOTZmOS0xNjQ2YWIxYTljZGIiLCJpYXQiOjE3MzgzMTc3MTAsImV4cCI6MTczODMxODAxMH0.QgLoZYfNhHJOJJvOsLA9eLoxOjGF0qnuehPMgMP4zD4"
        }
      },
      "payment_method_details": {
        "id": "pmd_WRq7L4TM8p",
        "type": "card",
        "card": {
          "expiry_month": "09",
          "expiry_year": "32",
          "first6": "123412",
          "last4": "1234",
          "network": "MASTERCARD",
          "billing_address": {
            "city": "New York",
            "country": "US",
            "line1": "123 Main Street",
            "postal_code": "10001",
            "state": "New York",
            "line2": "Apt 4B"
          },
          "cof": {
            "enabled": true,
            "agreement_id": "Agreement00w02W1",
            "recurring_amount_variability": "VARIABLE",
            "agreement_type": "UNSCHEDULED",
            "trace_id": "123456789"
          },
          "card_holder_name": "Alex James"
        },
        "customer_id": "cus_3XarBILKQS",
        "meta": {},
        "device_fingerprint": "62wd23423rq324323qew1",
        "client_ip": "154.123.220.1",
        "created_datetime": "2024-12-03T13:54:21.546559974Z"
      },
      "redirect_url": "https://www.google.com",
      "refunded": false,
      "reference": "<string>",
      "status": "succeeded",
      "processor_response": {
        "type": "approved",
        "code": "00"
      },
      "created_datetime": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Query Parameters

status
enum<string>

The status of the charge.

Available options:
succeeded,
pending,
failed,
voided
Example:

"succeeded"

reference
string

A custom identifier to track the transaction, This must be unique across all your transactions.

to
string<date-time>

The end date and time for a period. This parameter is used in conjunction with the 'from' parameter to define a time range. The value should be in ISO 8601 format.

from
string<date-time>

The start date and time for a period. This parameter is used in conjunction with the 'to' parameter to define a time range. The value should be in ISO 8601 format.

customer_id
string

The customer ID

virtual_account_id
string

The virtual account ID

payment_method_id
string

ID of the payment method.

order_id
string

ID of the order.

page
integer
default:1

The page of the data to retrieve. The most recent data entry is on page 1.

Required range: x >= 1
size
integer
default:10

Length of data returned. Defaults to 10.

Required range: 10 <= x <= 50

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
meta
object
data
object[]
Maximum array length: 10